/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.oasisOpen.docs.wsrf.x2005.x01.wsrfInterop20Draft03Wsdl;

import org.apache.ws.resource.lifetime.ResourceTerminationListener;
import org.apache.ws.addressing.EndpointReference;


/**
 * An abstract PrinterFactory WS-Resource.
 * <p/>
 * NOTE: This class is generated and is NOT meant to be modified.
 */
public abstract class AbstractPrinterFactoryResource
   implements org.apache.ws.resource.Resource
{
   /**
    * The resource ID of the instance.
    */
   protected String m_id;
    private EndpointReference m_endpointReference;

    /**
    * DOCUMENT_ME
    *
    * @param id DOCUMENT_ME
    */
   public void setID( Object id )
   {
      if ( m_id != null )
      {
         throw new IllegalStateException( "This resource's ID has already been set." );
      }

      try
      {
         m_id = (String) id;
      }
      catch ( ClassCastException cce )
      {
         throw new IllegalArgumentException( "Specified ID is not a String." );
      }
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public Object getID(  )
   {
      return m_id;
   }

   /**
    * DOCUMENT_ME
    */
   public void destroy(  )
   {
      return;
   }

   /**
    * DOCUMENT_ME
    */
   public void init(  )
   {
   }

    /**
     * Adds a listener to be invoked when the resource has been terminated.
     *
     * @param listener
     */
    public void addTerminationListener(ResourceTerminationListener listener)
    {

    }

    /**
     * Returns the EndpointReference associated with this Resource.
     *
     * @return The Resource's EndpointReference or null if the EndpointReference has not been set.
     *
     * Note: It is the responsibility of the Resource creator to set the EndpointReference (i.e. ResourceHome impl)
     */
     public EndpointReference getEndpointReference()
     {
             return m_endpointReference;
     }

    /**
     * Sets the EndpointReference associated with this Resource.
     *
     * @param epr The Resource's EndpointReference.
     *
     * Note: It is the responsibility of the Resource creator to set the EndpointReference (i.e. ResourceHome impl)
     */
     public void setEndpointReference(EndpointReference epr)
     {
             m_endpointReference = epr;
     }


}