/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource;

import org.apache.ws.resource.properties.ResourcePropertySet;

/**
 * A resource that has a properties document, as defined by WSRF-RP.
 */
public interface PropertiesResource
   extends Resource
{
   /**
    * Sets this resource's property set.
    *
    * @param propSet a resource property set
    */
   void setResourcePropertySet( ResourcePropertySet propSet );

   /**
    * Returns this resource's property set.
    *
    * @return this resource's property set
    */
   ResourcePropertySet getResourcePropertySet(  );
}