/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.i18n;


/**
 * I18n message keys and messages for the {@link org.apache.ws.resource}
 * package and all its subpackages.
 */
public interface Keys
{
   /**
    * @msg Creating ResourcePropertySet from XmlBean whose factory is: {0} ...
    */
   String CREATING_PROPSET = "CREATING_PROPSET";

   /**
    * @msg Received request to {0}  resource with Id {1}
    */
   String PORTTYPE_RECEIVED_REQUEST = "PORTTYPE_RECEIVED_REQUEST";

   /**
    * @msg Resource Id {0} not found for service {1}
    */
   String RESOURCE_NOT_FOUND = "RESOURCE_NOT_FOUND";

   /**
    * @msg Output directory for generated files.
    */
   String OPT_OUTPUT_DIR_FOR_GEN_SRC = "OPT_OUTPUT_DIR_FOR_GEN_SRC";

   /**
    * @msg output directory for generated jar files.
    */
   String OPT_OUTPUT_DIR_FOR_GEN_JAR = "OPT_OUTPUT_DIR_FOR_GEN_JAR";

   /**
    * @msg enable verbose output.
    */
   String OPT_ENABLE_VERBOSE = "OPT_ENABLE_VERBOSE";

   /**
    * @msg enable debug output.
    */
   String OPT_ENABLE_DEBUG = "OPT_ENABLE_DEBUG";

   /**
    * @msg classpath to be passed to XMLBeans schema compiler.
    */
   String OPT_CLASSPATH_SENT_TO_XMLBEANS = "OPT_CLASSPATH_SENT_TO_XMLBEANS";

   /**
    * @msg No WSDL files were specified. Nothing to do.
    */
   String WARN_EMPTY_WSDLS = "WARN_EMPTY_WSDLS";

   /**
    * @msg Calling Wsdl2Java with: {0} wsdl files, {1} output dir.
    */
   String WSDL4J_PASSED_ARGUMENTS = "WSDL4J_PASSED_ARGUMENTS";

   /**
    * @msg  {0} is a required option.
    */
   String OPT_REQUIRED = "OPT_REQUIRED";

   /**
    * @msg Expected WS-Addressing SOAP header: {0}
    */
   String EXPECTED_ADDRESSING_HEADER = "EXPECTED_ADDRESSING_HEADER";

   /**
    * @msg Dialect: {0}
    */
   String DIALECT = "DIALECT";

   /**
    * @msg content
    */
   String CONTENT = "CONTENT";

   /**
    * @msg  name
    */
   String NAME = "NAME";

   /**
    * @msg faultCode
    */
   String FAULTCODE = "FAULTCODE";

   /**
    * @msg description
    */
   String DESCRIPTION = "DESCRIPTION";

   /**
    * @msg faultCause
    */
   String FAULTCAUSE = "FAULTCAUSE";

   /**
    * @msg faultString
    */
   String FAULTSTRING = "FAULTSTRING";

   /**
    * @msg errorCode
    */
   String ERRORCODE = "ERRORCODE";

   /**
    * @msg MessageContext was null.
    */
   String MESSAGECONTEXT_NULL = "MESSAGECONTEXT_NULL";

   /**
    * @msg An Exception Occurred when retrieving the ResourceHome. Cause: {0}
    */
   String EXCEPTION_GETTING_HOME = "EXCEPTION_GETTING_HOME";

   /**
    * @msg An Exception Occurred when Creating an instance of the Class: {0} , Cause: {1}
    */
   String EXCEPTION_CREATING_CLASS = "EXCEPTION_CREATING_CLASS";

   /**
    * @msg Expected type: {0}, but got: {1}
    */
   String EXCEPTION_EXPECTED_TYPE = "EXCEPTION_EXPECTED_TYPE";

   /**
    * @msg Received ?WSDL request for service: {0}
    */
   String RECEIVED_WSDL_REQUEST = "RECEIVED_WSDL_REQUEST";

   /**
    * @msg Populating WSRF JNDI context - reading JNDI configuration off classpath from {0}...
    */
   String POPULATING_JNDI = "POPULATING_JNDI";

   /**
    * @msg {0} is initialized.
    */
   String CLASS_IS_INITIALIZED = "CLASS_IS_INITIALIZED";

   /**
    * @msg Received request.
    */
   String RECEIVED_REQUEST = "RECEIVED_REQUEST";

   /**
    * @msg The {0} method on service class {1} threw an exception.
    */
   String ERROR_INVOKING_METHOD_ON_SERVICE = "ERROR_INVOKING_METHOD_ON_SERVICE";

   /**
    * @msg Internal server error occurred.
    */
   String INTERNAL_SERVER_ERROR = "INTERNAL_SERVER_ERROR";

   /**
    * @msg Handling response...
    */
   String HANDLING_RESPONSE = "HANDLING_RESPONSE";

   /**
    * @msg Found {0} response body elements.
    */
   String FOUND_RESP_ELEMS = "FOUND_RESP_ELEMS";

   /**
    * @msg Retrieved service classname: {0} from resource home.
    */
   String RETRIEVED_SERVICE_CLASSNAME = "RETRIEVED_SERVICE_CLASSNAME";

   /**
    * @msg Required parameter {0} not defined in resource home.
    */
   String SERVICE_OPT_UNDEFINED_IN_HOME = "SERVICE_OPT_UNDEFINED_IN_HOME";

   /**
    * @msg Deriving the service method name from the request body element name ({0})...
    */
   String DERIVE_SERVICE_NAME_FROM_REQ = "DERIVE_SERVICE_NAME_FROM_REQ";

   /**
    * @msg Unrecognized request body element: {0}
    */
   String BAD_REQUEST_BODY_ELEMENT = "BAD_REQUEST_BODY_ELEMENT";

   /**
    * @msg Found service method: {0}
    */
   String FOUND_SERVICE_METHOD = "FOUND_SERVICE_METHOD";

   /**
    * @msg Failed to create SOAPMessage via MessageFactory.
    */
   String FAILED_TO_CREATE_SOAPMESSAGE = "FAILED_TO_CREATE_SOAPMESSAGE";

   /**
    * @msg Creating an instance of service class: {0}
    */
   String CREATING_INSTANCE_OF_SERVICE = "CREATING_INSTANCE_OF_SERVICE";

   /**
    * @msg Cleaning expired resources.
    */
   String CLEANING_EXPIRED_RESOURCES = "CLEANING_EXPIRED_RESOURCES";

   /**
    * @msg Finding resource with key {0} ...
    */
   String FINDING_RESOURCE_WITH_KEY = "FINDING_RESOURCE_WITH_KEY";

   /**
    * @msg ResourceKey was null.
    */
   String NULL_KEY = "NULL_KEY";

   /**
    * @msg Initializing Home
    */
   String INIT_HOME = "INIT_HOME";

   /**
    * @msg The ResourceKey name was null, please check the jndi-config.xml file.
    */
   String RESOURCE_KEYNAME_NULL = "RESOURCE_KEYNAME_NULL";

   /**
    * @msg The Resource Class name was null, please check the jndi-config.xml file.
    */
   String RESOURCE_CLASSNAME_NULL = "RESOURCE_CLASSNAME_NULL";

   /**
    * @msg Failed to destroy resource: {0} Cause: {1}
    */
   String FAILED_TO_DESTROY_RESOURCE = "FAILED_TO_DESTROY_RESOURCE";

   /**
    * @msg Removed the resource {0} with key: {1}
    */
   String REMOVED_RESOURCE_WITH_KEY = "REMOVED_RESOURCE_WITH_KEY";

   /**
    * @msg Creating instance for ResourceKey: {0}
    */
   String CREATING_INSTANCE_WITH_KEY = "CREATING_INSTANCE_WITH_KEY";

   /**
    * @msg Calling init() in the Resource Instance: {0}
    */
   String INIT_RESOURCE_LIFECYCLE_INSTANCE = "INIT_RESOURCE_LIFECYCLE_INSTANCE";

   /**
    * @msg Failed to initialize resource: {0} Cause: {1}
    */
   String FAILED_TO_INIT_RESOURCE = "FAILED_TO_INIT_RESOURCE";

   /**
    * @msg Loading Resource from persistence for ResourceKey: {0}
    */
   String LOADING_RESOURCE_FROM_PERSISTENCE = "LOADING_RESOURCE_FROM_PERSISTENCE";

   /**
    * @msg The Resource class {0} was not found. Please check your classpath and WSRF JNDI config.
    */
   String RESOURCE_CLASS_NOT_FOUND = "RESOURCE_CLASS_NOT_FOUND";

   /**
    * @msg Adding resource with identifier {0} to {1} ...
    */
   String ADDING_RESOURCE_WITH_ID = "ADDING_RESOURCE_WITH_ID";

   /**
    * @msg Attempting to lookup resource with identifier {0} from {1} ...
    */
   String GETTING_RESOURCE_WITH_ID = "GETTING_RESOURCE_WITH_ID";

   /**
    * @msg Looking up default timer using JNDI name {0} ...
    */
   String TIMER_LOOKUP_WITH_JNDI_NAME = "TIMER_LOOKUP_WITH_JNDI_NAME";

   /**
    * @msg Scheduling resource sweeper ...
    */
   String SCHEDULE_RESOURCE_SWEEPER = "SCHEDULE_RESOURCE_SWEEPER";

   /**
    * @msg Cancelling resource sweeper ...
    */
   String CANCEL_RESOURCE_SWEEPER = "CANCEL_RESOURCE_SWEEPER";

   /**
    * @msg The SOAPMessageContext was null.
    */
   String NULL_SOAPMSGCTX = "NULL_SOAPMSGCTX";

   /**
    * @msg  Looking up resource with key: {0} ...
    */
   String LOOKUP_RESOURCE_FOR_KEY = "LOOKUP_RESOURCE_FOR_KEY";

   /**
    * @msg Found resource: {0}
    */
   String FOUND_RESOURCE = "FOUND_RESOURCE";

   /**
    * @msg The JNDI home location is: {0}
    */
   String JNDI_HOME_LOCATION = "JNDI_HOME_LOCATION";

   /**
    * @msg The ResourceKey is: {0}
    */
   String RESOURCE_KEY = "RESOURCE_KEY";

   /**
    * @msg Resource key name is null.
    */
   String NULL_RESOURCE_NAME = "NULL_RESOURCE_NAME";

   /**
    * @msg Attempting to retrieve ResourceKeyHeader for ResourceKey name: {0}
    */
   String GET_RESOURCEKEY_HEADER = "GET_RESOURCEKEY_HEADER";

   /**
    * @msg The ResourceKey Name was null.
    */
   String NULL_RESOURCEKEY_QNAME = "NULL_RESOURCEKEY_QNAME";

   /**
    * @msg Retrieving the ServiceURL from the Addressing Headers.  Service URL is: {0}
    */
   String GET_SERVICE_URL_FROM_ADDR_HDR = "GET_SERVICE_URL_FROM_ADDR_HDR";

   /**
    * @msg  Destroying {0} resource with Id {1}
    */
   String DESTROYING_RESOURCE = "DESTROYING_RESOURCE";

   /**
    * @msg Unable to set termination time for {0} resource with Id {1}
    */
   String UNABLE_TO_SET_TERM_TIME = "UNABLE_TO_SET_TERM_TIME";

   /**
    * @msg {0} resource with Id {1} could not be destroyed.
    */
   String UNABLE_TO_DESTROY_RESOURCE = "UNABLE_TO_DESTROY_RESOURCE";

   /**
    * @msg Resource Id {0} not found for service {1}
    */
   String RESOURCEID_NOT_FOUND_FOR_SERVICE = "RESOURCEID_NOT_FOUND_FOR_SERVICE";

   /**
    * @msg Setting property: {0} with time: {1}
    */
   String SET_PROP_TIME = "SET_PROP_TIME";

   /**
    * @msg Read-only property: {0}
    */
   String READ_ONLY_PROP = "READ_ONLY_PROP";

   /**
    * @msg Invalid expression: {0}
    */
   String INVALID_EXPRESSION = "INVALID_EXPRESSION";

   /**
    * @msg Invalid property name: {0}
    */
   String INVALID_PROP_NAME = "INVALID_PROP_NAME";

   /**
    * @msg The {0} property cannot be cleared - its schema requires it to contain at least {1} elements.
    */
   String CANNOT_CLEAR_SCHEMA_CONSTRAINT = "CANNOT_CLEAR_SCHEMA_CONSTRAINT";

   /**
    * @msg This resource property already contains {0} elements, which is the maximum allowed by its schema.
    */
   String MAX_ALLOWED_BY_SCHEMA = "MAX_ALLOWED_BY_SCHEMA";

   /**
    * @msg Property element to add must be named {0}
    */
   String PROP_MUST_BE_NAMED = "PROP_MUST_BE_NAMED";

   /**
    * @msg Unable to convert specified object to an XmlObject.
    */
   String UNABLE_TO_CONVERT_TO_XMLOBJECT = "UNABLE_TO_CONVERT_TO_XMLOBJECT";

   /**
    * @msg Property element to remove must be named {0}
    */
   String PROP_ELEM_TO_REMOVE_MST_B_NAMED = "PROP_ELEM_TO_REMOVE_MST_B_NAMED";

   /**
    * @msg Property element to set must be named {0}
    */
   String PROP_SET_MST_B_NAMED = "PROP_SET_MST_B_NAMED";

   /**
    * @msg Specified index must be >=0 and < {0}
    */
   String INDEX_MST_B_GTR0 = "INDEX_MST_B_GTR0";

   /**
    * @msg Specified schema type must be of document type.
    */
   String SCHEMA_MUST_BE_DOC = "SCHEMA_MUST_BE_DOC";

   /**
    * @msg Specified XMLBean ({0}) is not a document type.
    */
   String XMLOBJECT_DOC = "XMLOBJECT_DOC";

   /**
    * @msg Properties that are explicitly defined in the RP doc schema cannot be removed from the property set.
    */
   String NON_ANY_PROP_CANNOT_BE_REMOVED = "NON_ANY_PROP_CANNOT_BE_REMOVED";

   /**
    * @msg The resource properties document already contains a resource property named {0}
    */
   String PROP_DOC_ALREADY_CONTAINS_PROPERTY = "PROP_DOC_ALREADY_CONTAINS_PROPERTY";

   /**
    * @msg Clearing the PropertSet.
    */
   String CLEAR_PROP_SET = "CLEAR_PROP_SET";

   /**
    * @msg Removing property from ResourcePropertySet, property: {0}
    */
   String REMOVING_PROP = "REMOVING_PROP";

   /**
    * @msg Adding property to ResourcePropertySet, property: {0}
    */
   String ADDING_PROP = "ADDING_PROP";

   /**
    * @msg Processing SetResourceProperties request: {0} ...
    */
   String SET_RP_REQ = "SET_RP_REQ";

   /**
    * @msg Deleting resource property: {0} ...
    */
   String DEL_RP_REQ = "DEL_RP_REQ";

   /**
    * @msg wsrp:Delete element is missing the required ResourceProperty attribute.
    */
   String DEL_MISSING_RP_ATTRIB = "DEL_MISSING_RP_ATTRIB";

   /**
    * @msg Inserting resource property...
    */
   String INSERT_RP_REQ = "INSERT_RP_REQ";

   /**
    * @msg Property {0} cannot be deleted because its minOccurs is greater than zero.
    */
   String ERROR_PROPERTY_DELETE_VIOLATES_SCHEMA = "ERROR_PROPERTY_DELETE_VIOLATES_SCHEMA";

   /**
    * @msg Element {0} cannot be inserted because maxOccurs for property {1} would be exceeded.
    */
   String ERROR_PROPERTY_INSERT_VIOLATES_SCHEMA = "ERROR_PROPERTY_INSERT_VIOLATES_SCHEMA";

   /**
    * @msg Updating resource property...
    */
   String UPDATE_RP_REQ = "UPDATE_RP_REQ";

   /**
    * @msg Elements cannot be inserted because maxOccurs for property {0} would be exceeded.
    */
   String ERROR_PROPERTY_UPDATE_VIOLATES_SCHEMA = "ERROR_PROPERTY_UPDATE_VIOLATES_SCHEMA";

   /**
    * @msg Getting Resource Property with name: {0}
    */
   String GET_RP_WITH_NAME = "GET_RP_WITH_NAME";

   /**
    * @msg Query ResourceProperties request: {0}
    */
   String QUERY_RP_REQ = "QUERY_RP_REQ";

   /**
    * @msg Failed to extract SOAP envelope from resource context. Cause: {0}
    */
   String FAILED_TO_EXTRACT_SOAP_ENV = "FAILED_TO_EXTRACT_SOAP_ENV";

   /**
    * @msg Attempting to get resource property: {0} ...
    */
   String GET_RP_REQ = "GET_RP_REQ";

   /**
    * @msg GetMultipleResourceProperties request: {0}
    */
   String GET_MULTI_RP_REQ = "GET_MULTI_RP_REQ";

   /**
    * @msg Attempt to call a WSRP operation on a WS-Resource that has no properties.
    */
   String CALL_WSRP_OP_ON_NOPROP = "CALL_WSRP_OP_ON_NOPROP";

   /**
    * @msg Unsupported dialect: {0}
    */
   String UNSUPP_DIALECT = "UNSUPP_DIALECT";

   /**
    * @msg value
    */
   String VALUE = "VALUE";

   /**
    * @msg namespaceContext
    */
   String NMSPCECTX = "NMSPCECTX";

   /**
    * @msg Constructed XPathExpression: {0}
    */
   String CONSTR_XPATH_EXPR = "CONSTR_XPATH_EXPR";

   /**
    * @msg XPath expression: {0}
    */
   String XPATH = "XPATH";

   /**
    * @msg Properties document: {0}
    */
   String PROP_DOC = "PROP_DOC";

   /**
    * @msg Xalan XPath expression evaluator (Xalan version is {0})
    */
   String XALAN_EVALUATOR = "XALAN_EVALUATOR";

   /**
    * @msg Jaxen XPath expression evaluator
    */
   String JAXEN_EVALUATOR = "JAXEN_EVALUATOR";

   /**
    * @msg XPath Expression was null.
    */
   String NULL_XPATH = "NULL_XPATH";

   /**
    * @msg Evaluating XPath expression [{0}] over context [{1}]
    */
   String EVAL_XPATH = "EVAL_XPATH";

   /**
    * @msg XPath query failed: {0}  Cause: {1}
    */
   String XPATH_FAILED = "XPATH_FAILED";

   /**
    * @msg Namespace context on XPathExpression is null or is not a DomNamespaceContext.
    */
   String BAD_XPATH_NAMESPACE_CONTEXT = "BAD_XPATH_NAMESPACE_CONTEXT";

   /**
    * @msg QueryEngine encountered an error during a refresh. Cause: {0}
    */
   String QUERY_ENG_INIT_ERROR = "QUERY_ENG_INIT_ERROR";

   /**
    * @msg Executing Query
    */
   String EXEC_QUERY = "EXEC_QUERY";

   /**
    * @msg  on ResourcePropertySet:
    */
   String ON_RP_SET = "ON_RP_SET";

   /**
    * @msg All property elements in Insert request must have the same name.
    */
   String ERROR_INSERT_ELEMS_NOT_HOMOGENOUS = "ERROR_INSERT_ELEMS_NOT_HOMOGENOUS";

   /**
    * @msg All property elements in Update request must have the same name.
    */
   String ERROR_UPDATE_ELEMS_NOT_HOMOGENOUS = "ERROR_UPDATE_ELEMS_NOT_HOMOGENOUS";

   /**
    * @msg XML Beans XPath expression evaluator
    */
   String XMLBEANS_XPATH_EVAL = "XMLBEANS_XPATH_EVAL";

   /**
    * @msg The XMLBeanXPathExpressionEvaluator#evaluate() requires that the specified ResourcePropertySet be an instance of XmlBeansResourcePropertySet. Cause: {0}
    */
   String ERROR_XPATH_EXPR_REQ_XMLBEANRPSET = "ERROR_XPATH_EXPR_REQ_XMLBEANRPSET";

   /**
    * @msg Query failed: {0} Cause: {1}
    */
   String QUERY_FAILED = "QUERY_FAILED";

   /**
    * @msg Failed to initialize query expression dialect. Cause: {0}
    */
   String FAILED_INIT_DIALECT = "FAILED_INIT_DIALECT";

   /**
    * @msg As per the WS-RP schema, a query expression element can only have up to one child node.
    */
   String QUERY_ONLY_ONE_NODE = "QUERY_ONLY_ONE_NODE";

   /**
    * @msg As per the WS-RP schema, a query expression element must contain either one element or one text node.
    */
   String QUERY_MUST_HAVE_ELEM_OR_TXT = "QUERY_MUST_HAVE_ELEM_OR_TXT";

   /**
    * @msg The QueryExpression is: {0}
    */
   String QUERY_EXPR = "QUERY_EXPR";

   /**
    * @msg Invoking service method: {0}
    */
   String INVOKING_SERVICE_METHOD = "INVOKING_SERVICE_METHOD";

   /**
    * @msg  for Dialect:
    */
   String FOR_DIALECT = "FOR_DIALECT";

   /**
    * @msg Wsdl2Java expects the WSDL files to have the extension .wsdl the passed-in file was named: {0}
    */
   String ERROR_ONLY_WSDLS = "ERROR_ONLY_WSDLS";

   /**
    * @msg Retrieving the Action from the Addressing Headers.  Action is: {0}
    */
   String GET_ACTION_FROM_ADDR_HDR = "GET_ACTION_FROM_ADDR_HDR";

   /**
    * @msg Received request with no WS-Addressing Action header.
    */
   String NO_WSA_ACTION = "NO_WSA_ACTION";

   /**
    * @msg Received request with no WS-Addressing headers.
    */
   String NO_WSA_HEADERS = "NO_WSA_HEADERS";

   /**
    * @msg There was an error when calling the insertProperty operation on the callback {0}
    */
   String ERROR_DURING_INSERT_CALLBACK = "ERROR_DURING_INSERT_CALLBACK";

   /**
    * @msg There was an error when calling the updateProperty operation on the callback {0}
    */
   String ERROR_DURING_UPDATE_CALLBACK = "ERROR_DURING_UPDATE_CALLBACK";

   /**
    * @msg There was an error when calling the deleteProperty operation on the callback {0}
    */
   String ERROR_DURING_DELETE_CALLBACK = "ERROR_DURING_DELETE_CALLBACK";

   /**
    * @msg Error occurred during delete property operation.
    */
   String ERROR_DURING_DELETE = "ERROR_DURING_DELETE";

   /**
    * @msg Error occurred during insert property operation.
    */
   String ERROR_DURING_INSERT = "ERROR_DURING_INSERT";

   /**
    * @msg Error occurred during update property operation.
    */
   String ERROR_DURING_UPDATE = "ERROR_DURING_UPDATE";

   /**
    * @msg Unrecognized request body element.
    */
   String BAD_REQUEST_BODY_ELEMENT_NOPARAM = "BAD_REQUEST_BODY_ELEMENT_NOPARAM";
}