/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.impl;

import org.apache.ws.resource.properties.NamespaceVersionHolder;

/**
 * An exception to be thrown when a version is unknown...This can be used to help flush out incomplete
 * version upgrades.
 *
 * @author Sal Campana
 */
public class UnsupportedVersionException
   extends RuntimeException
{
   /**
    * Creates a new {@link UnsupportedVersionException} object.
    *
    * @param namespaces DOCUMENT_ME
    */
   public UnsupportedVersionException( NamespaceVersionHolder namespaces )
   {
      super( "The NamespaceVersionHolder implementation in " + namespaces.getClass(  ).getPackage(  ).getName(  )
             + " is unsupported." );
   }
}