/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.properties.v2004_06;

import org.apache.ws.resource.v2004_06.WsrfConstants;
import javax.xml.namespace.QName;

/**
 * Constants for namespaces defined by the 2004/06 version of the WSRF ResourceProperties specification.
 */
public interface ResourcePropertiesConstants
{
   /**
    * Namespace URI for WS-ResourceProperties schema.
    */
   String NSURI_WSRP_SCHEMA = WsrfConstants.BASE_URI_WSRF + "wsrf-WS-ResourceProperties-1.2-draft-01.xsd";

   /**
    * Namespace prefix for WS-ResourceProperties schema.
    */
   String NSPREFIX_WSRP_SCHEMA = "wsrp";

   /**
    * Namespace URI for WS-ResourceProperties WSDL.
    */
   String NSURI_WSRP_WSDL = WsrfConstants.BASE_URI_WSRF + "wsrf-WS-ResourceProperties-1.2-draft-01.wsdl";

   /**
    * Namespace prefix for WS-ResourceProperties WSDL.
    */
   String NSPREFIX_WSRP_WSDL = "wsrpw";

   /**
    * QName of the "ResourceProperties" portType attribute.
    */
   QName RESOURCE_PROPERTIES_PORTTYPE_ATTRIB =
      new QName( NSURI_WSRP_SCHEMA, "ResourceProperties", NSPREFIX_WSRP_SCHEMA );
}