/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.properties.v2004_11.porttype.impl;

import org.apache.ws.resource.ResourceContext;
import org.apache.ws.resource.properties.NamespaceVersionHolder;
import org.apache.ws.resource.properties.impl.AbstractSetResourcePropertiesPortType;
import org.apache.ws.resource.properties.impl.AbstractXmlBeansResourcePropertyValueChangeEvent;
import org.apache.ws.resource.properties.v2004_11.impl.NamespaceVersionHolderImpl;
import org.apache.ws.resource.properties.v2004_11.impl.XmlBeansResourcePropertyValueChangeEvent;
import org.apache.ws.resource.properties.v2004_11.porttype.DeleteResourcePropertiesPortType;
import org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.DeleteResourcePropertiesDocument;
import org.oasisOpen.docs.wsrf.x2004.x11.wsrfWSResourceProperties12Draft05.DeleteResourcePropertiesResponseDocument;
import javax.xml.namespace.QName;

/**
 * @author Ian Springer
 */
public class DeleteResourcePropertiesPortTypeImpl
   extends AbstractSetResourcePropertiesPortType
   implements DeleteResourcePropertiesPortType
{
   private static final NamespaceVersionHolder NAMESPACE_SET = new NamespaceVersionHolderImpl(  );

   /**
    * Creates a new {@link DeleteResourcePropertiesPortTypeImpl} object.
    *
    * @param resourceContext DOCUMENT_ME
    */
   public DeleteResourcePropertiesPortTypeImpl( ResourceContext resourceContext )
   {
      super( resourceContext );
   }

   /**
    * DOCUMENT_ME
    *
    * @param requestDoc DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public DeleteResourcePropertiesResponseDocument deleteResourceProperties( DeleteResourcePropertiesDocument requestDoc )
   {
      DeleteResourcePropertiesResponseDocument                  responseDoc = createResponseDocument(  );
      DeleteResourcePropertiesDocument.DeleteResourceProperties requestElem =
         requestDoc.getDeleteResourceProperties(  );
      QName                                                     nameOfPropToBeDeleted =
         requestElem.getDelete(  ).getResourceProperty(  );
      deleteResourceProperty( nameOfPropToBeDeleted );
      return responseDoc;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   protected NamespaceVersionHolder getNamespaceSet(  )
   {
      return NAMESPACE_SET;
   }

   /**
    * DOCUMENT_ME
    *
    * @param oldValue DOCUMENT_ME
    * @param newValue DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   protected AbstractXmlBeansResourcePropertyValueChangeEvent getResourcePropertyValueChangeEvent( Object[] oldValue,
                                                                                                   Object[] newValue )
   {
      return new XmlBeansResourcePropertyValueChangeEvent( oldValue, newValue );
   }

   private DeleteResourcePropertiesResponseDocument createResponseDocument(  )
   {
      DeleteResourcePropertiesResponseDocument responseDoc =
         DeleteResourcePropertiesResponseDocument.Factory.newInstance(  );
      responseDoc.addNewDeleteResourcePropertiesResponse(  );
      return responseDoc;
   }
}