/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.util.soap;

import org.apache.ws.XmlObjectWrapper;
import org.apache.xmlbeans.XmlObject;

/**
 * A Facade wrapper for a SOAPBody
 *
 * @author Sal Campana
 */
public class Body
   implements XmlObjectWrapper
{
   /** DOCUMENT_ME */
   XmlObject m_xmlObject;

   /**
    * Creates a new {@link Body} object.
    *
    * @param body DOCUMENT_ME
    */
   public Body( org.w3.x2003.x05.soapEnvelope.Body body )
   {
      m_xmlObject = body;
   }

   /**
    * Creates a new {@link Body} object.
    *
    * @param body DOCUMENT_ME
    */
   public Body( org.xmlsoap.schemas.soap.envelope.Body body )
   {
      m_xmlObject = body;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public XmlObject getXmlObject(  )
   {
      return m_xmlObject;
   }
}